# Form implementation generated from reading ui file 'src/eric7/QScintilla/SearchReplaceWidget.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_SearchReplaceWidget(object):
    def setupUi(self, SearchReplaceWidget):
        SearchReplaceWidget.setObjectName("SearchReplaceWidget")
        SearchReplaceWidget.resize(995, 58)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.MinimumExpanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(SearchReplaceWidget.sizePolicy().hasHeightForWidth())
        SearchReplaceWidget.setSizePolicy(sizePolicy)
        self.gridLayout = QtWidgets.QGridLayout(SearchReplaceWidget)
        self.gridLayout.setContentsMargins(0, 0, 0, 0)
        self.gridLayout.setObjectName("gridLayout")
        self.replaceLabel = QtWidgets.QLabel(parent=SearchReplaceWidget)
        self.replaceLabel.setObjectName("replaceLabel")
        self.gridLayout.addWidget(self.replaceLabel, 1, 2, 1, 1)
        self.selectionCheckBox = QtWidgets.QCheckBox(parent=SearchReplaceWidget)
        self.selectionCheckBox.setObjectName("selectionCheckBox")
        self.gridLayout.addWidget(self.selectionCheckBox, 0, 10, 1, 1)
        self.modeToggleButton = QtWidgets.QToolButton(parent=SearchReplaceWidget)
        self.modeToggleButton.setObjectName("modeToggleButton")
        self.gridLayout.addWidget(self.modeToggleButton, 0, 1, 1, 1)
        self.label = QtWidgets.QLabel(parent=SearchReplaceWidget)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 2, 1, 1)
        self.caseCheckBox = QtWidgets.QCheckBox(parent=SearchReplaceWidget)
        self.caseCheckBox.setObjectName("caseCheckBox")
        self.gridLayout.addWidget(self.caseCheckBox, 0, 5, 1, 1)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setSpacing(0)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.findPrevButton = QtWidgets.QToolButton(parent=SearchReplaceWidget)
        self.findPrevButton.setObjectName("findPrevButton")
        self.horizontalLayout.addWidget(self.findPrevButton)
        self.findNextButton = QtWidgets.QToolButton(parent=SearchReplaceWidget)
        self.findNextButton.setObjectName("findNextButton")
        self.horizontalLayout.addWidget(self.findNextButton)
        self.extendButton = QtWidgets.QToolButton(parent=SearchReplaceWidget)
        self.extendButton.setObjectName("extendButton")
        self.horizontalLayout.addWidget(self.extendButton)
        self.gridLayout.addLayout(self.horizontalLayout, 0, 4, 1, 1)
        self.findtextCombo = QtWidgets.QComboBox(parent=SearchReplaceWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.findtextCombo.sizePolicy().hasHeightForWidth())
        self.findtextCombo.setSizePolicy(sizePolicy)
        self.findtextCombo.setMinimumSize(QtCore.QSize(300, 0))
        self.findtextCombo.setEditable(True)
        self.findtextCombo.setInsertPolicy(QtWidgets.QComboBox.InsertPolicy.InsertAtTop)
        self.findtextCombo.setDuplicatesEnabled(False)
        self.findtextCombo.setObjectName("findtextCombo")
        self.gridLayout.addWidget(self.findtextCombo, 0, 3, 1, 1)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setSpacing(0)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.replaceButton = QtWidgets.QToolButton(parent=SearchReplaceWidget)
        self.replaceButton.setObjectName("replaceButton")
        self.horizontalLayout_2.addWidget(self.replaceButton)
        self.replaceSearchButton = QtWidgets.QToolButton(parent=SearchReplaceWidget)
        self.replaceSearchButton.setObjectName("replaceSearchButton")
        self.horizontalLayout_2.addWidget(self.replaceSearchButton)
        self.replaceAllButton = QtWidgets.QToolButton(parent=SearchReplaceWidget)
        self.replaceAllButton.setObjectName("replaceAllButton")
        self.horizontalLayout_2.addWidget(self.replaceAllButton)
        self.gridLayout.addLayout(self.horizontalLayout_2, 1, 4, 1, 1)
        self.regexpCheckBox = QtWidgets.QCheckBox(parent=SearchReplaceWidget)
        self.regexpCheckBox.setObjectName("regexpCheckBox")
        self.gridLayout.addWidget(self.regexpCheckBox, 0, 8, 1, 1)
        self.closeButton = QtWidgets.QToolButton(parent=SearchReplaceWidget)
        self.closeButton.setText("")
        self.closeButton.setObjectName("closeButton")
        self.gridLayout.addWidget(self.closeButton, 0, 0, 1, 1)
        self.wrapCheckBox = QtWidgets.QCheckBox(parent=SearchReplaceWidget)
        self.wrapCheckBox.setObjectName("wrapCheckBox")
        self.gridLayout.addWidget(self.wrapCheckBox, 0, 9, 1, 1)
        self.replacetextCombo = QtWidgets.QComboBox(parent=SearchReplaceWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.replacetextCombo.sizePolicy().hasHeightForWidth())
        self.replacetextCombo.setSizePolicy(sizePolicy)
        self.replacetextCombo.setMinimumSize(QtCore.QSize(300, 0))
        self.replacetextCombo.setEditable(True)
        self.replacetextCombo.setInsertPolicy(QtWidgets.QComboBox.InsertPolicy.InsertAtTop)
        self.replacetextCombo.setDuplicatesEnabled(False)
        self.replacetextCombo.setObjectName("replacetextCombo")
        self.gridLayout.addWidget(self.replacetextCombo, 1, 3, 1, 1)
        self.wordCheckBox = QtWidgets.QCheckBox(parent=SearchReplaceWidget)
        self.wordCheckBox.setObjectName("wordCheckBox")
        self.gridLayout.addWidget(self.wordCheckBox, 0, 6, 1, 1)
        self.escapeCheckBox = QtWidgets.QCheckBox(parent=SearchReplaceWidget)
        self.escapeCheckBox.setObjectName("escapeCheckBox")
        self.gridLayout.addWidget(self.escapeCheckBox, 0, 7, 1, 1)
        self.replaceLabel.setBuddy(self.replacetextCombo)
        self.label.setBuddy(self.findtextCombo)

        self.retranslateUi(SearchReplaceWidget)
        QtCore.QMetaObject.connectSlotsByName(SearchReplaceWidget)
        SearchReplaceWidget.setTabOrder(self.findtextCombo, self.replacetextCombo)
        SearchReplaceWidget.setTabOrder(self.replacetextCombo, self.extendButton)
        SearchReplaceWidget.setTabOrder(self.extendButton, self.findNextButton)
        SearchReplaceWidget.setTabOrder(self.findNextButton, self.findPrevButton)
        SearchReplaceWidget.setTabOrder(self.findPrevButton, self.replaceSearchButton)
        SearchReplaceWidget.setTabOrder(self.replaceSearchButton, self.replaceAllButton)
        SearchReplaceWidget.setTabOrder(self.replaceAllButton, self.replaceButton)
        SearchReplaceWidget.setTabOrder(self.replaceButton, self.caseCheckBox)
        SearchReplaceWidget.setTabOrder(self.caseCheckBox, self.wordCheckBox)
        SearchReplaceWidget.setTabOrder(self.wordCheckBox, self.escapeCheckBox)
        SearchReplaceWidget.setTabOrder(self.escapeCheckBox, self.regexpCheckBox)
        SearchReplaceWidget.setTabOrder(self.regexpCheckBox, self.wrapCheckBox)
        SearchReplaceWidget.setTabOrder(self.wrapCheckBox, self.selectionCheckBox)
        SearchReplaceWidget.setTabOrder(self.selectionCheckBox, self.closeButton)
        SearchReplaceWidget.setTabOrder(self.closeButton, self.modeToggleButton)

    def retranslateUi(self, SearchReplaceWidget):
        _translate = QtCore.QCoreApplication.translate
        SearchReplaceWidget.setWindowTitle(_translate("SearchReplaceWidget", "Find and Replace"))
        self.replaceLabel.setText(_translate("SearchReplaceWidget", "&Replace:"))
        self.selectionCheckBox.setToolTip(_translate("SearchReplaceWidget", "Select to search in the current selection only"))
        self.selectionCheckBox.setText(_translate("SearchReplaceWidget", "&Selection only"))
        self.modeToggleButton.setToolTip(_translate("SearchReplaceWidget", "Press to toggle the mode between find and replace mode"))
        self.label.setText(_translate("SearchReplaceWidget", "&Find:"))
        self.caseCheckBox.setToolTip(_translate("SearchReplaceWidget", "Select to match case sensitive"))
        self.caseCheckBox.setText(_translate("SearchReplaceWidget", "&Match case"))
        self.findPrevButton.setToolTip(_translate("SearchReplaceWidget", "Press to find the previous occurrence"))
        self.findNextButton.setToolTip(_translate("SearchReplaceWidget", "Press to find the next occurrence"))
        self.extendButton.setToolTip(_translate("SearchReplaceWidget", "Press to extend the search to the whole word"))
        self.replaceButton.setToolTip(_translate("SearchReplaceWidget", "Press to replace the selection"))
        self.replaceSearchButton.setToolTip(_translate("SearchReplaceWidget", "Press to replace the selection and search for the next occurence"))
        self.replaceAllButton.setToolTip(_translate("SearchReplaceWidget", "Press to replace all occurrences"))
        self.regexpCheckBox.setToolTip(_translate("SearchReplaceWidget", "Select if the searchtext is a regular expression"))
        self.regexpCheckBox.setText(_translate("SearchReplaceWidget", "Rege&xp"))
        self.closeButton.setToolTip(_translate("SearchReplaceWidget", "Press to close the window"))
        self.wrapCheckBox.setToolTip(_translate("SearchReplaceWidget", "Select to continue the search at the beginning or end"))
        self.wrapCheckBox.setText(_translate("SearchReplaceWidget", "Wrap &around"))
        self.wordCheckBox.setToolTip(_translate("SearchReplaceWidget", "Select to match whole words only"))
        self.wordCheckBox.setText(_translate("SearchReplaceWidget", "Whole &word"))
        self.escapeCheckBox.setToolTip(_translate("SearchReplaceWidget", "Select if the search or replace text contains escape codes"))
        self.escapeCheckBox.setText(_translate("SearchReplaceWidget", "Escape"))
